zenilib: FT_Bitmap_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
FT_Bitmap_ Struct Reference

`#include <ftimage.h>`

## Public Attributes

unsigned char * | buffer
short | num_grays
void * | palette
char | palette_mode
int | pitch
char | pixel_mode
int | rows
int | width

## Detailed Description

Definition at line 310 of file ftimage.h.

## Member Data Documentation

unsigned char* FT_Bitmap_::buffer

Definition at line 315 of file ftimage.h.

Referenced by FNT_Load_Glyph(), ft_bitmap_assure_buffer(), ft_raster1_render(), ft_smooth_render_generic(), ftc_sbit_copy_bitmap(), gray_render_span(), PCF_Glyph_Load(), pfr_bitwriter_init(), tt_sbit_decoder_load_bit_aligned(), and tt_sbit_decoder_load_byte_aligned().

short FT_Bitmap_::num_grays

Definition at line 316 of file ftimage.h.

Referenced by BDF_Glyph_Load(), ft_raster1_render(), ft_smooth_render_generic(), ftc_snode_load(), and PCF_Glyph_Load().

void* FT_Bitmap_::palette

Definition at line 319 of file ftimage.h.

char FT_Bitmap_::palette_mode

Definition at line 318 of file ftimage.h.

int FT_Bitmap_::pitch

Definition at line 314 of file ftimage.h.

Referenced by BDF_Glyph_Load(), FNT_Load_Glyph(), ft_bitmap_assure_buffer(), ft_glyphslot_clear(), ft_raster1_render(), ft_smooth_render_generic(), ftc_inode_weight(), ftc_sbit_copy_bitmap(), ftc_snode_load(), gray_render_span(), PCF_Glyph_Load(), pfr_bitwriter_init(), tt_sbit_decoder_alloc_bitmap(), tt_sbit_decoder_load_bit_aligned(), and tt_sbit_decoder_load_byte_aligned().

char FT_Bitmap_::pixel_mode

Definition at line 317 of file ftimage.h.

Referenced by BDF_Glyph_Load(), FNT_Load_Glyph(), ft_bitmap_assure_buffer(), ft_glyphslot_clear(), ft_raster1_render(), ft_smooth_render_generic(), ft_smooth_render_lcd(), ft_smooth_render_lcd_v(), ftc_snode_load(), PCF_Glyph_Load(), and tt_sbit_decoder_alloc_bitmap().

int FT_Bitmap_::rows

Definition at line 312 of file ftimage.h.

Referenced by BDF_Glyph_Load(), FNT_Load_Glyph(), ft_bitmap_assure_buffer(), ft_bitmap_glyph_bbox(), ft_glyphslot_clear(), ft_raster1_render(), ft_smooth_render_generic(), ftc_inode_weight(), ftc_sbit_copy_bitmap(), ftc_snode_load(), gray_render_span(), PCF_Glyph_Load(), pfr_bitwriter_init(), pfr_load_bitmap_bits(), tt_sbit_decoder_alloc_bitmap(), tt_sbit_decoder_load_bit_aligned(), and tt_sbit_decoder_load_byte_aligned().

int FT_Bitmap_::width

Definition at line 313 of file ftimage.h.

Referenced by BDF_Glyph_Load(), FNT_Load_Glyph(), ft_bitmap_assure_buffer(), ft_bitmap_glyph_bbox(), ft_glyphslot_clear(), ft_raster1_render(), ft_smooth_render_generic(), ftc_snode_load(), PCF_Glyph_Load(), pfr_bitwriter_init(), pfr_load_bitmap_bits(), tt_sbit_decoder_alloc_bitmap(), tt_sbit_decoder_load_bit_aligned(), and tt_sbit_decoder_load_byte_aligned().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/include/freetype/ftimage.h